Subject: [RESEND PATCH 0/3 v6] Add Mediatek MT8173 cpufreq driver

From: [email-masked] (Matthias Brugger)
Date: Thu, 21 Apr 2016 12:58:12 +0200

On 21/04/16 12:26, Matthias Brugger wrote:
>
>
> On 02/09/15 19:23, Matthias Brugger wrote:
>>
>>
>> On 02/09/15 08:45, Daniel Kurtz wrote:
>>> Matthias,
>>>
>>> On Fri, Aug 28, 2015 at 10:06 PM, Rafael J. Wysocki
>>> <[email-masked]> wrote:
>>>> On Wednesday, August 26, 2015 02:53:39 PM Pi-Cheng Chen wrote:
>>>>> On Wed, Aug 26, 2015 at 10:16 AM, Viresh Kumar
>>>>> <[email-masked]> wrote:
>>>>>> On 26-08-15, 09:25, Pi-Cheng Chen wrote:
>>>>>>> The [3/3] is based on Mediatek SoC maintainer tree[1] and the
>>>>>>> patch which
>>>>>>> introduce a new clock type[2] consumed by MT8173 cpufreq driver.
>>>>>>> So it will
>>>>>>> cause some conflicts if it goes through your tree. I am not sure
>>>>>>> how this
>>>>>>> should be handled, but should it be merged through Mediatek SoC
>>>>>>> maintainer
>>>>>>> tree?
>>>>>>
>>>>>> Just get that applied to MTK tree, it doesn't have any dependency on
>>>>>> rest of the patches for build/boot. The only thing is that cpufreq
>>>>>> wouldn't work and it will work as soon as Rafael's and MTK's trees
>>>>>> are
>>>>>> merged by Linus.
>>>>>
>>>>> Thanks for your explanation.
>>>>>
>>>>> @Rafael, Would you please apply [1,2] to your tree?
>>>>
>>>> Applied, thanks!
>>>
>>> Can you please apply [3] from this set to your dts tree?
>>>
>>
>> I will as soon as v4.3-rc1 shows up.
>
> I somehow forgot this patch. Sorry for that.
> Applied for v4.6-next/dts64 right now.
>

I just realized that CLK_INFRA_CA53SEL and CLK_APMIXED_MAINPLL are not 
part of the clk driver.

Pi-Cheng, can you check if they got renamed in the meanwhile? Or do we 
need some clock driver patches that enable this clocks for the series?

Regards,
Matthias